Bug 638899 - /dev/mapper paths should not be returned from C inspection APIs
/dev/mapper paths should not be returned from C inspection APIs
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-30 06:28 EDT by Richard W.M. Jones
Modified: 2011-07-14 15:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 646432 (view as bug list)
Environment:
Last Closed: 2011-07-14 15:16:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-09-30 06:28:41 EDT
Description of problem:

eg:
$ sudo guestfish --ro -i -d F13x64 

Welcome to guestfish, the libguestfs filesystem interactive shell for
editing virtual machine filesystems.

Type: 'help' for a list of commands
      'man' to read the manual
      'quit' to quit the shell

Operating system: Fedora release 13 (Goddard)
/dev/mapper/vg_f13x64-lv_root mounted on /
/dev/vda1 mounted on /boot

Note /dev/mapper/vg_f13x64-lv_root should be
/dev/vg_f13x64/lv_root.

Version-Release number of selected component (if applicable):

libguestfs 1.5.20

How reproducible:

Always when the inspected guest has LVs and /etc/fstab of the
guest contains a reference to /dev/mapper/...
Comment 1 Richard W.M. Jones 2010-10-25 06:46:11 EDT
><fs> cat /etc/fstab 

#
# /etc/fstab
# Created by anaconda on Thu Sep 16 18:13:22 2010
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
/dev/mapper/vg_f13x64-lv_root /                       ext4    defaults        1 1
UUID=59336587-da50-4b87-ad47-577a0fd95498 /boot                   ext4    defaults        1 2
/dev/mapper/vg_f13x64-lv_swap swap                    swap    defaults        0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
Comment 2 Richard W.M. Jones 2010-10-25 08:12:46 EDT
Patch posted upstream:
https://www.redhat.com/archives/libguestfs/2010-October/msg00063.html

Note You need to log in before you can comment on or make changes to this bug.